Bug 205870 - When openning file with open dialog, evince freezes
When openning file with open dialog, evince freezes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
rawhide
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-09 03:50 EDT by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: libgnomeui-2.16.0-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-15 10:58:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-09-09 03:50:23 EDT
Description of problem:
When openning file with open dialog, evince freezes
$gdb evince
(gdb) bt
#0  0xb7ff3402 in __kernel_vsyscall ()
#1  0x0038a8ae in ?? () from /lib/libpthread.so.0
#2  0x0038675c in ?? () from /lib/libpthread.so.0
Previous frame identical to this frame (corrupt stack?)
(gdb) bt full
#0  0xb7ff3402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0038a8ae in ?? () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0038675c in ?? () from /lib/libpthread.so.0
No symbol table info available.

Version-Release number of selected component (if applicable):
0.6.0-1.fc6

How reproducible:
always

Steps to Reproduce:
1. $evince
2. ctrl + o
3. open a pdf file.
  
Actual results:


Expected results:


Additional info:
poppler-0.5.3-2.fc6
Comment 1 Matthias Clasen 2006-09-09 14:20:19 EDT
That stacktrace is not very helpful. Does this happen for every pdf, or just for
specific ones ? Can you attach an offending file ?
Comment 2 sangu 2006-09-12 02:23:06 EDT
This problem happens for every pdf.
Comment 3 Matthias Clasen 2006-09-12 11:12:48 EDT
can you try if libgnomeui-2.16.0-2.fc6 fixes this issue ? There was a deadlock
when destroying file choosers in multithreaded apps...

Note You need to log in before you can comment on or make changes to this bug.